/*
    MENÚ DE CONFIGURACIÓN

    Mirar las paginas principales para ver
    la explicación de ciertos atributos comunes:
    - index.html
    - reviews.html

*/

/*
    Aquí importamos los iconos de las banderas
    que son cadenas de texto
*/

@import url('https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.5.0/css/flag-icon.min.css');


#config,
#config *,
.ConfigButton,
.ConfigButton * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/*
    El botón de configuración está enlazado
    a un input para mostrar el menú de configuración
    Luego le damos un tamaño e icono a visualizar
*/

.ConfigButton {
    cursor: pointer;
    background-image: url(setting.png);
    background-size: 80%;
    background-repeat: no-repeat;
    background-position: center;
    background-color: bisque;
    border-radius: 50%;
    height: 4.5vh;
    width: 4.5vh;
    top: 0;
    left: 0;
    transition: all .3s;
}

.ConfigButton:hover {
    transform: scale(1.2);
}

/*
    Esto reprsenta el menú que en pantalla queda
    centrado y fijo abajo en la pantalla y queda
    por los demás elementos de la pantalla
*/
#config {
    margin: auto;
    display: none;
    justify-content: center;
    opacity: 0;
    position: fixed;
    width: 100%;
    height: 15vh;
    left: 0;
    bottom: 0;
    z-index: 1000;
}

#config input[type="checkbox"] {
    display: none;
}

/*
    Sirve para abrir el menú de configuración
*/
#config:has(input[type="checkbox"]:checked) {
    display: flex;
    transition: all .5s;
    opacity: 1;
}

@starting-style {
    #config:has(input[type="checkbox"]:checked) {
        opacity: 0.75;
    }
}

/*
    El menú de configuración
*/
#config .Menu {
    width: 50%;
    padding: 10px;
    border-radius: 10px 10px 0 0;
    background-color: rgba(29, 28, 28, 0.945);
    gap: 5px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: 500px;
}

/*
    El menú se divide por filas
*/
#config .Menu .Row {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

/*
    Es la fila con el boton de cerrar
    Se sitúa a la izquierda y se pone
    relativo para posicionar el de
    cerrar absolutamente con respecto
    a esta fila y que no ocupe espacio
    Y así el resto de filas tomar el
    espacio dejado
*/
#config .Menu .Row:has(.ConfigButton) {
    position: relative;
    justify-content: start;
    padding-bottom: 10px;
}

/*
    El boton de cerrar del propio menú
*/
#config .ConfigButton {
    position: absolute;
    height: 3.5vh;
    width: 3.5vh;
}

/*
    Los idiomas cogen el espacio
*/
#config .Menu .Row:has(.Language) {
    flex-grow: 1;
}

#config .Menu .Row .Language {
    padding: 10px;
    flex-grow: 1;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

/*
    Esto podría no ser necesario
    y haber puesto todo directamente
    bajo Language, pero quise separar
    las listas de otros posibles
    elementos para un futuro tener
    otra solucion
*/

#config .Menu .Row .Language .List {
    gap: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/*
    Los radio option solo nos hace falta
    para la lógica
*/
#config .Menu .Row .Language input {
    display: none;
}

/*
    Aquí van las banderas
    En este caso uso cadenas de texto
    para reprsentarlas
    Por defecto oculto todas y le doy
    un tamaño más grande que la letra normal
*/
#config .Menu .Row .Language label {
    cursor: pointer;
    display: none;
    border-radius: 10px;
    transition: all .3s;
    font-size: 3em;
}

/*
    Muestra el idioma seleccionado, es decir su bandera
*/
#config .Menu .Row .Language .List input:checked+label {
    display: flex;
}

/*
   Se muestran las banderitas
    de los idiomas soportados
*/
#config .Menu .Row .Language:hover label {
    display: flex;
}

#config .Menu .Row .Language:hover label:hover {
    transform: scale(1.2);
}

/*
    Aquí especificamos el tooglebutton que
    en este caso es el modo: Ligth, Dark
    Necesitamos el posicionamiento relativo
*/
#config .Menu .Row .Mode {
    position: relative;
    width: 4vh;
    height: 4vh;
    display: flex;
    align-items: center;
}

/*
    Esta es la barra del Modo
    El ancho de la barra es el height
*/
#config .Menu .Mode .Toggle {
    flex-grow: 1;
    height: 40%;
    background-color: mediumslateblue;
    border-radius: 25px;
}

/*
    El icono del modo se posiciona
    absolutamente para desplazarlo
    hacia la izquierda
    La imagen la deberíamos sacar
    de la configuración del usuario
    que estaría guardada en la base
    de datos pero no me ha dado tiempo
    a crear la pagina de la cuenta de usuario
*/

#config .Menu .Mode .IconButton {
    cursor: pointer;
    position: absolute;
    left: -33%;
    width: 100%;
    height: 100%;
    background-image: url(brightness.png);
    background-position: center;
    background-size: 50%;
    background-repeat: no-repeat;
    background-color: mediumslateblue;
    border-radius: 50%;
    border: solid 1px white;
    transition: all .3s;
}

/*
    Muestra el modo noche si está seleccionado
    el checkbox
    Fijarse que ahora el icono queda para el otro
    lado para simular ese toggle
*/
#config .Menu .Mode input[type="checkbox"]:checked~.IconButton {
    background-image: url(moon.png);
    left: 33%;
}